Status: Closed

Priority: Normal

Assignee: Jürgen Fischer

Category: Data Provider/Oracle

Affected QGIS version:2.8.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20781

Description

After entering the details for the oracle connection and testing it successfully, all the tables of the database are greyed out and can not be

added to the display (Screen1). If I open a QGIS 2.6 project, I can add oracle spatial layers from the browser (Screen2). As soon as I save

the project with version 2.8, Oracle tables can not be added anymore.

Related issues:

Duplicated by QGIS Application - Bug report # 12381: Can not open oracle laye... Closed 2015-03-16

Associated revisions

Revision 656af530 - 2015-05-08 12:46 AM - Jürgen Fischer

oracle provider: fix srid detection (fixes #12674)

Revision a894781e - 2015-05-09 04:12 PM - Jürgen Fischer

oracle provider: fix srid detection (fixes #12674)

(cherry picked from commit 656af530c3fa9353e35a812f880350e01f37ebc0)

History

#1 - 2015-05-07 02:01 AM - Giovanni Manghi

- Status changed from Open to Feedback

does this happen only when opening/saving existing projects created in 2.6 or also in new projects? does it affects both the browser and the "add oracle

layer" dialog?

#2 - 2015-05-07 03:46 PM - Jürgen Fischer

- Status changed from Feedback to Closed

Fixed in changeset commit:"656af530c3fa9353e35a812f880350e01f37ebc0".
